<?php

/**
 * Plugin administration pages are defined here.
 *
 * @category    admin
 * @copyright   2019 Université Grenoble Alpes
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
\defined('MOODLE_INTERNAL') || die();

if ($ADMIN->fulltree) {
    $settings->add(
        new admin_setting_configtext(
            'labnbook_api_url',
            get_string('labnbook_api_url', 'mod_labnbook'),
            get_string('labnbook_api_url_descr', 'mod_labnbook'),
            "",
            PARAM_URL
        )
    );
    $settings->add(
        new admin_setting_configtext(
            'labnbook_api_key',
            get_string('labnbook_api_key', 'mod_labnbook'),
            get_string('labnbook_api_key_descr', 'mod_labnbook'),
            "",
            PARAM_ALPHANUM
        )
    );
    $settings->add(
        new admin_setting_configtext(
            'labnbook_institution_id',
            get_string('labnbook_institution_id', 'mod_labnbook'),
            get_string('labnbook_institution_id_descr', 'mod_labnbook'),
            "",
            PARAM_INT
        )
    );
}
